<?php
/*
======================
"Saalioksjonid" vaade
======================
*/
session_start();
include "config.php";
include_once ROOT."db/dbconfig.php";
require_once ROOT."admin/objects/kasutaja.class.php";
$user_home = new Kasutaja();
include ROOT."header.php";
?>

<div class="container">

    <?php
    include_once ROOT.'admin/objects/kataloog.class.php';
    include_once ROOT.'admin/objects/pilt.class.php';

    $database = new Database();
    $db = $database->dbConnection();
    $kataloog = new kataloog($db);

    // Loeme andmebaasist tulevaste saalioksjonite nimekirja
    $stmt = $kataloog->readTulevased();
    $num = $stmt->rowCount();

    echo '<div class="col-md-10 col-md-offset-1">  <h3 class="decorated"><span>Tulevased saalioksjonid</span></h3><br /><center>';

    // Kuvame andmed
    if($num>0){
        while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
            extract($row);
            echo "<div class='thumbnail'>";
            echo "<br /><span class='glyphicon glyphicon-folder-open'></span>";
            echo "<div class='caption'>";
            echo "<h4><a href='esemed.php?id={$id}'>{$nimi}</a></h4>";
            echo "<p>{$aeg}</p></div></div>";
        }
    }
    else{
        echo "<h4>Hetkel ei ole ühtegi saalioksjonit tulekul</h4>";
    }
    echo '<h3 class="decorated"><span>Möödunud saalioksjonid</span></h3><br />';

    // Loeme andmebaasist kõik möödunud saalioksjonite kateloogid
    $stmt = $kataloog->readMoodunud();
    $num = $stmt->rowCount();

    // Kuvame andmed
    if($num>0){

        while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
            extract($row);

            echo "<div class='thumbnail'>";
                //TODO: Oksjoni glyph/logo siia
            echo "<br /><span class='glyphicon glyphicon-folder-open'></span>";
            echo "<div class='caption'>";
            echo "<h4><a href='esemed.php?id={$id}'>{$nimi}</a></h4>";
            echo "<p>{$aeg}</p></div></div>";
        }
    }
    else{
        echo "<h4>Möödunud saalioksjonid puuduvad</h4>";
    }

    echo '</div>';
    echo'</center>';
    echo'</div>
</div><br/><br/>';
include ROOT."footer.php";
